/*
 * menu.h
 *
 * Created: 20.09.2017 12:37:08
 *  Author: dsosnowski
 */ 


#ifndef MENU_H_
#define MENU_H_

void MenuInit(void);
void MenuMan(uint8_t action);
void MenuEditModeChange(uint8_t action);
uint8_t MenuParamTypeGet(uint8_t index);
void MenuRefresh(void);
void MenuExe(void);
void MenuProcess();
uint8_t MenuIndexGet(void);
void MenuMainWindowView(void);
void MenuView(int16_t index);

void MenuDispTemp(int16_t val);
void MenuDispChannelTemp(uint8_t ch);
void MenuDispNme(uint8_t *src);


#define MENU_ACTION_CLICK_CHANGE		1
#define MENU_ACTION_REPEAT_CHANGE		5

#define MENU_MAIN_SWITCH_SPEED			3
#define MENU_IDLE_TIME					25


#endif /* MENU_H_ */